import 'package:niralanlayout/ads_initialization/ads_initialization.dart';
import 'package:niralanlayout/controllers/notification_controller.dart';
import 'package:package_info_plus/package_info_plus.dart';

class AppController {
  final NotificationController? _notificationController;
  AppController({NotificationController? notificationController})
      : _notificationController = notificationController;
  String? appName;
  String? packageName;
  String? version;
  String? buildNumber;
  String? notificationContent;
  String? shareDescription;

  Future<void> loadState() async {
    final info = await PackageInfo.fromPlatform();
    appName = info.appName;
    packageName = info.packageName;
    version = info.version;
    buildNumber = info.buildNumber;
    notificationContent = "Time to play " + info.appName + "!.";
    shareDescription =
        "This is good logical game, can you downloaded from Google Play by going to https://play.google.com/store/apps/details?id=" +
            info.packageName;
    if (AdsInitialization.isAndroid() && _notificationController != null) {
      await _notificationController!.loadDefaultNotification(
        appName,
        notificationContent,
        packageName,
      );
    }
  }
}
