import 'package:flutter/material.dart';

class CustomTileWidget extends StatelessWidget {
  const CustomTileWidget({
    super.key,
    this.onTap,
    this.textColor,
    required this.text,
    required this.fontSize,
    required this.buttonWidth,
    required this.buttonHeight,
    required this.image,
    required this.fontFamily,
  });
  final Function? onTap;
  final Color? textColor;
  final String text;
  final double buttonWidth;
  final double buttonHeight;
  final double fontSize;
  final String image;
  final String fontFamily;

  @override
  Widget build(BuildContext context) {
    return Center(
      child: InkResponse(
        onTap: () {
          if (onTap != null) {
            onTap!();
          }
        },
        child: Container(
          margin: const EdgeInsets.all(5),
          width: buttonWidth,
          height: buttonHeight,
          child: Stack(
            fit: StackFit.expand,
            alignment: AlignmentDirectional.center,
            children: [
              Image.asset(
                image,
                fit: BoxFit.fill,
              ),
              Center(
                child: Padding(
                  padding: EdgeInsets.only(top: 5),
                  child: Text(
                    text,
                    style: TextStyle(
                      fontFamily: fontFamily,
                      fontSize: fontSize,
                      fontWeight: FontWeight.w600,
                      color: textColor,
                    ),
                  ),
                ),
              ),
            ],
          ),
        ),
      ),
    );
  }
}
