import 'package:flutter/material.dart';

class SettingsLineWidget extends StatelessWidget {
  final String title;
  final Widget icon;
  final VoidCallback? onSelected;
  final String fontFamily;
  final Color trueWhite;

  const SettingsLineWidget(
    this.title,
    this.icon, {
    this.onSelected,
    required this.fontFamily,
    required this.trueWhite,
    Key? key,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return InkResponse(
      highlightShape: BoxShape.rectangle,
      onTap: onSelected,
      child: Padding(
        padding: const EdgeInsets.symmetric(horizontal: 8),
        child: Row(
          mainAxisAlignment: MainAxisAlignment.center,
          children: [
            Text(
              title,
              style: TextStyle(
                fontFamily: fontFamily,
                fontSize: 40,
                color: trueWhite,
              ),
            ),
            const Spacer(),
            icon,
          ],
        ),
      ),
    );
  }
}
