import 'package:flutter/material.dart';
import 'package:niralanlayout/widgets/delayed_appear_widget.dart';

class TopBarWidget extends StatelessWidget {
  const TopBarWidget({
    super.key,
    required this.title,
    this.isShowSettings = true,
    this.moveLeft,
    required this.type,
    required this.onTap,
    required this.fontColor,
    required this.fontFamily,
    required this.background,
    required this.height,
    required this.topPadding,
  });
  final String title;
  final bool isShowSettings;
  final int? moveLeft;
  final String type;
  final Function(String) onTap;
  final Color fontColor;
  final String fontFamily;
  final String background;
  final double height;
  final double topPadding;

  getWidget(BuildContext context) {
    if (type == "PLAY_SESSION") {
      return Container(
        padding: EdgeInsets.only(
          top: topPadding,
          right: 40,
        ),
        child: Text(
          '$moveLeft',
          style: TextStyle(
            color: fontColor,
            fontSize: 32,
            fontWeight: FontWeight.w800,
            fontFamily: fontFamily,
          ),
        ),
      );
    } else if (type == "LEVEL_SESSION") {
      return InkResponse(
        onTap: () {
          onTap("SETTING");
        },
        child: Container(
          padding: EdgeInsets.only(
            top: topPadding,
            right: 30,
          ),
          child: Icon(
            Icons.settings,
            color: fontColor,
            size: 42,
          ),
        ),
      );
    } else {
      return Container(
        padding: EdgeInsets.only(
          top: topPadding,
          right: 30,
        ),
        child: Icon(
          Icons.settings,
          color: Colors.transparent,
          size: 42,
        ),
      );
    }
  }

  @override
  Widget build(BuildContext context) {
    return DelayedAppearWidget(
      ms: 100,
      child: Stack(
        fit: StackFit.loose,
        alignment: AlignmentDirectional.center,
        children: [
          Container(
            height: height,
            width: MediaQuery.of(context).size.width,
            child: Image.asset(
              background,
              fit: BoxFit.fill,
            ),
          ),
          Center(
            child: Row(
              mainAxisAlignment: MainAxisAlignment.spaceBetween,
              children: [
                InkResponse(
                  onTap: () {
                    onTap("BACK");
                  },
                  child: Padding(
                    padding: EdgeInsets.only(
                      top: topPadding,
                      left: 35,
                    ),
                    child: Icon(
                      Icons.arrow_back,
                      color: fontColor,
                      size: 42,
                    ),
                  ),
                ),
                Padding(
                  padding: EdgeInsets.only(
                    top: topPadding,
                    left: 5,
                  ),
                  child: Text(
                    title,
                    style: TextStyle(
                      fontFamily: fontFamily,
                      fontSize: 20,
                      fontWeight: FontWeight.w600,
                      color: fontColor,
                    ),
                  ),
                ),
                getWidget(
                  context,
                ),
              ],
            ),
          ),
        ],
      ),
    );
  }
}
